#include "Engine_Management.h"

int request;                                                              // Хранит значение запроса на действие
bool first_dimension = false;


// Вывод массива данных
void printMass(int count_x, int count_y, double** input_mass) {
  //Serial.println("y, мм");
  for (int i = count_y - 1; i >= 0; i--) {
    //Serial.print((real_y * i) / (count_y - 1.0)); Serial.print(" ");
    for (int j = 0; j < count_x; j++) {
      Serial.print(input_mass[i][j]); Serial.print(" ");
    }
    Serial.println("");
  }
  Serial.print(" ");
  /*
  for (int i = 0 ; i < count_x; i++) {
    Serial.print((real_x * i) / (count_x - 1.0)); Serial.print(" ");
  }
  */
  //Serial.println("x, мм");
}

int main_menu() {
  Serial.print("1) Возврат в начало координат;\n2) Сканирование рабочей зоны.\n>>> ");
  int a = input();
  Serial.println(a);
  return a;
}

void setup() {
  pinMode(StepX, OUTPUT);
  pinMode(DirX, OUTPUT);
  pinMode(StepY, OUTPUT);
  pinMode(DirY, OUTPUT);
  pinMode(ButX, INPUT_PULLUP);
  pinMode(ButY, INPUT_PULLUP);
  Serial.begin(9600);
}

void loop() {
  request = main_menu();
  if (request == 1) {
    homeAll();
  }
  else if (request == 2) {
    Serial.print("Введите кол-во измерений по оси X:\n>>> ");
    int colums = input();
    Serial.println(colums);

    Serial.print("Введите кол-во измерений по оси Y:\n>>> ");
    int string = input();
    Serial.println(string);

    double** mass = new double*[string];
    for (int i = 0; i < string; i++) mass[i] = new double[colums];
    scanArea(colums, string, mass);
    printMass(colums, string, mass);
    first_dimension = true;
  }
}
